al_insert_path_component(3)

NAME

al_insert_path_component - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_insert_path_component(ALLEGRO_PATH *path, int i, const char *s)

DESCRIPTION

Insert a directory component at index i. If the index is negative then count from the right, i.e. -1 refers to the last path component.

It is an error to pass an index i which is not within these bounds: 0 <= i <= al_get_path_num_components(path).

SEE ALSO

al_append_path_component(3), al_replace_path_component(3), al_remove_path_component(3)